
_map:

;metro.c,3 :: 		unsigned int map(unsigned int x, int in_min, int in_max, int out_min, int out_max) {
;metro.c,4 :: 		return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
	MOVF        FARG_map_in_min+0, 0 
	SUBWF       FARG_map_x+0, 0 
	MOVWF       R4 
	MOVF        FARG_map_in_min+1, 0 
	SUBWFB      FARG_map_x+1, 0 
	MOVWF       R5 
	MOVF        FARG_map_out_min+0, 0 
	SUBWF       FARG_map_out_max+0, 0 
	MOVWF       R0 
	MOVF        FARG_map_out_min+1, 0 
	SUBWFB      FARG_map_out_max+1, 0 
	MOVWF       R1 
	CALL        _Mul_16X16_U+0, 0
	MOVF        FARG_map_in_min+0, 0 
	SUBWF       FARG_map_in_max+0, 0 
	MOVWF       R4 
	MOVF        FARG_map_in_min+1, 0 
	SUBWFB      FARG_map_in_max+1, 0 
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        FARG_map_out_min+0, 0 
	ADDWF       R0, 1 
	MOVF        FARG_map_out_min+1, 0 
	ADDWFC      R1, 1 
;metro.c,5 :: 		} // map
L_end_map:
	RETURN      0
; end of _map

_initTimer1:

;metro.c,8 :: 		void initTimer1(void) {
;metro.c,10 :: 		T1CON = 0x01;
	MOVLW       1
	MOVWF       T1CON+0 
;metro.c,11 :: 		TMR1IF_bit = 0;
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;metro.c,12 :: 		TMR1H = 0x9E;
	MOVLW       158
	MOVWF       TMR1H+0 
;metro.c,13 :: 		TMR1L = 0x58;
	MOVLW       88
	MOVWF       TMR1L+0 
;metro.c,14 :: 		TMR1IE_bit = 1;
	BSF         TMR1IE_bit+0, BitPos(TMR1IE_bit+0) 
;metro.c,15 :: 		INTCON = 0xC0;
	MOVLW       192
	MOVWF       INTCON+0 
;metro.c,17 :: 		return;
;metro.c,18 :: 		} // InitTimer1
L_end_initTimer1:
	RETURN      0
; end of _initTimer1

_Interrupt:

;metro.c,25 :: 		void Interrupt(void) {
;metro.c,27 :: 		if (TMR1IF_bit) {
	BTFSS       TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	GOTO        L_Interrupt0
;metro.c,28 :: 		TMR1IF_bit = 0;
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;metro.c,29 :: 		TMR1H = 0x9E;
	MOVLW       158
	MOVWF       TMR1H+0 
;metro.c,30 :: 		TMR1L = 0x58;
	MOVLW       88
	MOVWF       TMR1L+0 
;metro.c,31 :: 		counter++;
	INCF        _counter+0, 1 
;metro.c,33 :: 		NINTs = map(ADC_Read(0), 0, 1023, 0, 38);
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_map_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_map_x+1 
	CLRF        FARG_map_in_min+0 
	CLRF        FARG_map_in_min+1 
	MOVLW       255
	MOVWF       FARG_map_in_max+0 
	MOVLW       3
	MOVWF       FARG_map_in_max+1 
	CLRF        FARG_map_out_min+0 
	CLRF        FARG_map_out_min+1 
	MOVLW       38
	MOVWF       FARG_map_out_max+0 
	MOVLW       0
	MOVWF       FARG_map_out_max+1 
	CALL        _map+0, 0
	MOVF        R0, 0 
	MOVWF       _NINTs+0 
	MOVF        R1, 0 
	MOVWF       _NINTs+1 
;metro.c,35 :: 		if (counter > NINTs) {
	MOVLW       0
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt6
	MOVF        _counter+0, 0 
	SUBWF       R0, 0 
L__Interrupt6:
	BTFSC       STATUS+0, 0 
	GOTO        L_Interrupt1
;metro.c,39 :: 		Sound_Play(Note_Freq, Note_Dura);
	MOVLW       238
	MOVWF       FARG_Sound_Play_freq_in_hz+0 
	MOVLW       2
	MOVWF       FARG_Sound_Play_freq_in_hz+1 
	MOVLW       50
	MOVWF       FARG_Sound_Play_duration_ms+0 
	MOVLW       0
	MOVWF       FARG_Sound_Play_duration_ms+1 
	CALL        _Sound_Play+0, 0
;metro.c,41 :: 		counter = 0;
	CLRF        _counter+0 
;metro.c,42 :: 		} // if
L_Interrupt1:
;metro.c,43 :: 		} // if
L_Interrupt0:
;metro.c,45 :: 		} // Interrupt
L_end_Interrupt:
L__Interrupt5:
	RETFIE      1
; end of _Interrupt

_setup:

;metro.c,47 :: 		void setup(void) {
;metro.c,49 :: 		CMCON = 0x07;    // Disables comparators
	MOVLW       7
	MOVWF       CMCON+0 
;metro.c,50 :: 		ADCON1 = 0x0E;   // Disables analog functions (all digital) except for AN0
	MOVLW       14
	MOVWF       ADCON1+0 
;metro.c,54 :: 		Glcd_Init();
	CALL        _Glcd_Init+0, 0
;metro.c,55 :: 		Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32); // Change font
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       8
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;metro.c,56 :: 		Sound_Init(&PORTC, 6);
	MOVLW       PORTC+0
	MOVWF       FARG_Sound_Init_snd_port+0 
	MOVLW       hi_addr(PORTC+0)
	MOVWF       FARG_Sound_Init_snd_port+1 
	MOVLW       6
	MOVWF       FARG_Sound_Init_snd_pin+0 
	CALL        _Sound_Init+0, 0
;metro.c,57 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;metro.c,59 :: 		return;
;metro.c,60 :: 		} // setup
L_end_setup:
	RETURN      0
; end of _setup
