//#define DEBUG

unsigned int map(unsigned int x, int in_min, int in_max, int out_min, int out_max) {
             return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
} // map

// Timer1: Prescaler 1:1; TMR1 Preload = 40536; Actual Interrupt Time: 25 ms
void initTimer1(void) {

     T1CON = 0x01;
     TMR1IF_bit = 0;
     TMR1H = 0x9E;
     TMR1L = 0x58;
     TMR1IE_bit = 1;
     INTCON = 0xC0;

     return;
} // InitTimer1

unsigned short counter = 0;
const unsigned int Note_Freq = 750;
const unsigned int Note_Dura = 50;
extern unsigned int NINTs;

void Interrupt(void) {

     if (TMR1IF_bit) {
        TMR1IF_bit = 0;
        TMR1H = 0x9E;
        TMR1L = 0x58;
        counter++;
#ifndef DEBUG
        NINTs = map(ADC_Read(0), 0, 1023, 0, 38);
#endif
        if (counter > NINTs) {
#ifdef DEBUG
           LATC.F7 = ~LATC.F7;
#else
           Sound_Play(Note_Freq, Note_Dura);
#endif
           counter = 0;
        } // if
    } // if

} // Interrupt

void setup(void) {

     CMCON = 0x07;    // Disables comparators
     ADCON1 = 0x0E;   // Disables analog functions (all digital) except for AN0
#ifdef DEBUG
     TRISC.F7 = 0;    // Set up Port C7 as an output
#endif
     Glcd_Init();
     Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32);
     Sound_Init(&PORTC, 6);
     ADC_Init();

     return;
} // setup